## prometheus-pushgateway 0.2.0+ds

=== Makefile ===
# Copyright 2014 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

VERSION  := 0.2.0
TARGET   := pushgateway

REV        := $(shell git rev-parse --short HEAD)
BRANCH     := $(shell git rev-parse --abbrev-ref HEAD)
HOSTNAME   := $(shell hostname -f)
BUILD_DATE := $(shell date +%Y%m%d-%H:%M:%S)
GOFLAGS := -ldflags \
        "-X main.buildVersion $(VERSION)\
         -X main.buildRev $(REV)\
         -X main.buildBranch $(BRANCH)\
         -X main.buildUser $(USER)@$(HOSTNAME)\
         -X main.buildDate $(BUILD_DATE)"

include Makefile.COMMON

$(BINARY): bindata.go

bindata.go: $(GOPATH)/bin/go-bindata $(shell find resources -type f)
	$(GOPATH)/bin/go-bindata -prefix=resources resources/...

# Target to unconditionally compile the debug bindata.
.PHONY: bindata-debug
bindata-debug: $(GOPATH)/bin/go-bindata
	$(GOPATH)/bin/go-bindata -debug -prefix=resources resources/...

# Target to unconditionally compile the embedded bindata.
.PHONY: bindata-embed
bindata-embed: $(GOPATH)/bin/go-bindata
	$(GOPATH)/bin/go-bindata -prefix=resources resources/...

$(GOPATH)/bin/go-bindata:
	$(GO) get github.com/jteeuwen/go-bindata/...

=== debian/changelog ===
prometheus-pushgateway (0.2.0+ds-3) unstable; urgency=medium

  * Update patches to use the client library from the common package.
    Closes: #811235.
  * Disable some flaky tests that might break builds.

 -- Martín Ferrari <tincho@debian.org>  Mon, 25 Jan 2016 23:49:58 +0000

prometheus-pushgateway (0.2.0+ds-2) unstable; urgency=medium

  * debian/rules: Make the build date match the changelog, to improve
    reproducibility.
  * debian/rules: Remove hostname from build so the package is finally
    reproducible, thanks to lamby@debian.org for the patch. Closes: #797622.

 -- Martín Ferrari <tincho@debian.org>  Tue, 01 Sep 2015 12:01:40 +0000

prometheus-pushgateway (0.2.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #791720)

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Jul 2015 21:22:31 +0000

=== debian/control ===
Source: prometheus-pushgateway
Section: net
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang, golang-go,
 golang-github-prometheus-common-dev,
 golang-github-prometheus-log-dev,
 golang-github-julienschmidt-httprouter-dev,
 golang-goprotobuf-dev (>= 0.0~git20150526),
 golang-prometheus-client-dev,
 golang-protobuf-extensions-dev,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus-pushgateway.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus-pushgateway.git/
Homepage: https://github.com/prometheus/pushgateway

Package: prometheus-pushgateway
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemon, libjs-bootstrap
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for ephemereal jobs
 The Prometheus Pushgateway exists to allow ephemeral and batch jobs to expose
 their metrics to Prometheus. Since these kinds of jobs may not exist long
 enough to be scraped, they can instead push their metrics to a Pushgateway.
 The Pushgateway then exposes these metrics to Prometheus.
 .
 The Pushgateway is explicitly not an aggregator, but rather a metrics cache.
 It does not have a statsd-like semantics. The metrics pushed are exactly the
 same as you would present for scraping in a permanently running program.
 .
 For machine-level metrics, the textfile collector of prometheus-node-exporter
 is usually more appropriate. The Pushgateway is best used for service-level
 metrics.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_GOPKG := github.com/prometheus/pushgateway

DEBVERS    ?= $(shell dpkg-parsechangelog -SVersion)
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog -SSource)
DEBDATE    ?= $(shell dpkg-parsechangelog -SDate)
BUILDDIR   := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
	'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')
REV        := $(DEBVERS)
BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
HOSTNAME   := debian
BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%Y%m%d-%H:%M:%S)
BUILDFLAGS := -ldflags \
  " -X main.buildVersion=$(VERSION)\
    -X main.buildRev=$(REV)\
    -X main.buildBranch=$(BRANCH)\
    -X main.buildUser=$(USER)\
    -X main.buildDate=$(BUILD_DATE)"

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- $(BUILDFLAGS)

override_dh_auto_install:
	dh_auto_install
	# we don't want the golang source (yet?)
	rm -r debian/$(DEBPKGNAME)/usr/share/gocode
	# Rename the binary to match the debian package.
	mv -v debian/$(DEBPKGNAME)/usr/bin/pushgateway \
	    debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
	cp -va resources/* debian/$(DEBPKGNAME)/usr/share/$(DEBPKGNAME)/web
	dh_link usr/share/javascript/bootstrap \
	    usr/share/$(DEBPKGNAME)/web/static/bootstrap


gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
		upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz; \
	fi

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-pushgateway-$1.tar.gz/,dversionmangle=s/\+ds\d*$//" \
         https://github.com/prometheus/pushgateway/tags \
         (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## prometheus-pushgateway 0.3.0+ds

=== debian/changelog ===
prometheus-pushgateway (0.3.0+ds-2) unstable; urgency=medium

  * Use a persistence file by default.
  * Add systemd service file.
  * Switch to using a single /usr/share/prometheus tree.
  * Add logrotate script.
  * Remove rotated logs on purge.

 -- Martín Ferrari <tincho@debian.org>  Mon, 27 Jun 2016 15:19:13 +0000

prometheus-pushgateway (0.3.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Standards-Version with no changes.
    - Update Vcs-fields to use HTTPS.
    - Remove deprecated golang-github-prometheus-log-dev dependency, and add
      new golang-golang-x-sys-dev dependency.
    - Depend on golang-any, and current dh-golang.
  * Start using golang-github-prometheus-client-model-dev; remove
    related patch.
  * Refresh patches.
  * debian/rules: Simplify and update metadata.

 -- Martín Ferrari <tincho@debian.org>  Tue, 14 Jun 2016 14:22:03 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-golang, golang-go,
- golang-github-prometheus-common-dev,
- golang-github-prometheus-log-dev,
- golang-github-julienschmidt-httprouter-dev,
- golang-goprotobuf-dev (>= 0.0~git20150526),
- golang-prometheus-client-dev,
- golang-protobuf-extensions-dev,
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus-pushgateway.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus-pushgateway.git/
+Build-Depends: debhelper (>= 9.0.0), dh-golang (>= 0.17~), golang-any,
+               golang-github-julienschmidt-httprouter-dev,
+               golang-github-prometheus-client-model-dev,
+               golang-github-prometheus-common-dev,
+               golang-golang-x-sys-dev,
+               golang-goprotobuf-dev (>= 0.0~git20150526),
+               golang-prometheus-client-dev,
+               golang-protobuf-extensions-dev,
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-pushgateway.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-pushgateway.git/
 Homepage: https://github.com/prometheus/pushgateway
 
 Package: prometheus-pushgateway

## prometheus-pushgateway 0.3.1+ds

=== debian/changelog ===
prometheus-pushgateway (0.3.1+ds-1) unstable; urgency=medium

  * Also remove state file on purge.
  * New upstream release.
  * Replace vendored jQuery with Debian version.

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Dec 2016 02:54:22 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,11 @@
 
 Package: prometheus-pushgateway
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, daemon, libjs-bootstrap
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         daemon,
+         libjs-bootstrap,
+         libjs-jquery,
 Built-Using: ${misc:Built-Using}
 Description: Prometheus exporter for ephemereal jobs
  The Prometheus Pushgateway exists to allow ephemeral and batch jobs to expose

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_GOPKG := github.com/prometheus/pushgateway

BUILDDIR := build
METAPKG := github.com/prometheus/common

DEBVERS    ?= $(shell dpkg-parsechangelog -SVersion)
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog -SSource)
DEBDATE    ?= $(shell dpkg-parsechangelog -SDate)
REV        := $(DEBVERS)
BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
HOSTNAME   := debian
BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(VERSION)\
    -X $(METAPKG)/version.Revision=$(REV)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

override_dh_auto_install:
	cp -v $(BUILDDIR)/bin/pushgateway \
	    debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
		upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz; \
	fi

## prometheus-pushgateway 0.4.0%2Bds

=== Makefile ===
# Copyright 2016 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO           := GO15VENDOREXPERIMENT=1 go
FIRST_GOPATH := $(firstword $(subst :, ,$(GOPATH)))
PROMU        := $(FIRST_GOPATH)/bin/promu
pkgs          = $(shell $(GO) list ./... | grep -v /vendor/)

PREFIX                  ?= $(shell pwd)
BIN_DIR                 ?= $(shell pwd)
DOCKER_IMAGE_NAME       ?= pushgateway
DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))

ifdef DEBUG
	bindata_flags = -debug
endif


all: format build test

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

test:
	@echo ">> running tests"
	@$(GO) test -short $(pkgs)

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build: promu
	@echo ">> building binaries"
	@$(PROMU) build --prefix $(PREFIX)

tarball: promu
	@echo ">> building release tarball"
	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)

docker:
	@echo ">> building docker image"
	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .

assets:
	@echo ">> writing assets"
	@$(GO) get -u github.com/jteeuwen/go-bindata/...
	@go-bindata $(bindata_flags) -prefix=resources resources/...

promu:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
	        GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
	        $(GO) get -u github.com/prometheus/promu


.PHONY: all style format build test vet assets tarball docker promu

=== debian/changelog ===
prometheus-pushgateway (0.4.0+ds-1ubuntu1) artful; urgency=medium

  * debian/docs: Remove nonexistent AUTHORS.MD to fix FTBFS with Ubuntu's
    version of debhelper.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 26 Jul 2017 00:45:29 -0700

prometheus-pushgateway (0.4.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update dependency name for golang-github-prometheus-client-golang-
    dev.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * Enable gbp to automatically create pristine-tars; refresh rules.

 -- Martín Ferrari <tincho@debian.org>  Sat, 15 Jul 2017 14:50:00 +0000

## prometheus-pushgateway 0.4.0+ds

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: prometheus-pushgateway
 Section: net
 Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-golang (>= 0.17~), golang-any,
                golang-github-julienschmidt-httprouter-dev,
+               golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
                golang-golang-x-sys-dev,
                golang-goprotobuf-dev (>= 0.0~git20150526),
-               golang-prometheus-client-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-pushgateway.git/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-pushgateway.git/
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-pushgateway.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-pushgateway.git
 Homepage: https://github.com/prometheus/pushgateway
+Testsuite: autopkgtest-pkg-go
+XS-Go-Import-Path: github.com/prometheus/pushgateway
 
 Package: prometheus-pushgateway
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
-export DH_GOPKG := github.com/prometheus/pushgateway
 
 BUILDDIR := build
 METAPKG := github.com/prometheus/common
@@ -33,9 +32,3 @@
 override_dh_auto_install:
 	cp -v $(BUILDDIR)/bin/pushgateway \
 	    debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
-
-gen-orig-tgz:
-	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
-	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
-		upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz; \
-	fi

## prometheus-pushgateway 0.5.2+ds

=== Makefile ===
# Copyright 2016 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include Makefile.common

STATICCHECK_IGNORE = \
  github.com/prometheus/pushgateway/handler/delete.go:SA1019 \
  github.com/prometheus/pushgateway/handler/push.go:SA1019 \
  github.com/prometheus/pushgateway/main.go:SA1019

DOCKER_IMAGE_NAME ?= pushgateway

ifdef DEBUG
	bindata_flags = -debug
endif

assets:
	@echo ">> writing assets"
	@$(GO) get -u github.com/jteeuwen/go-bindata/...
	@go-bindata $(bindata_flags) -prefix=resources resources/...

style:
	@echo ">> checking code style"
	! $(GOFMT) -d $$(find . -path ./vendor -prune -o -path ./bindata.go -prune -o -name '*.go' -print) | grep '^'

=== debian/changelog ===
prometheus-pushgateway (0.5.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update client_golang version.
  * debian/copyright: Update Excluded-Files.
  * Bump Standards-Version (no changes).

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Aug 2018 14:53:36 +0000

prometheus-pushgateway (0.5.0+ds-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * New upstream release.
  * Stop using pristine-tar.
  * Refresh patches.
  * Automated cme fixes.
  * Update dh compat level to 11.
  * Remove unused lintian override.
  * debian/control: Update dependencies.
  * debian/postinst: Stop changing permissions recursively.
  * debian/rules: Do not use dpkg-parsechangelog directly.
  * debian/rules: Generate man page.
  * debian/docs: Update documentation list.
  * debian/default: Update parameter format and description.
  * debian/copyright: Adjust Files-Excluded.

 -- Martín Ferrari <tincho@debian.org>  Thu, 24 May 2018 04:52:55 +0000

=== debian/control ===
Source: prometheus-pushgateway
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-julienschmidt-httprouter-dev,
               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6),
               golang-goprotobuf-dev (>= 0.0~git20150526),
               golang-protobuf-extensions-dev,
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pushgateway
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pushgateway.git
Homepage: https://github.com/prometheus/pushgateway
XS-Go-Import-Path: github.com/prometheus/pushgateway

Package: prometheus-pushgateway
Architecture: any
Depends: daemon,
         libjs-bootstrap,
         libjs-jquery,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for ephemereal jobs
 The Prometheus Pushgateway exists to allow ephemeral and batch jobs to expose
 their metrics to Prometheus. Since these kinds of jobs may not exist long
 enough to be scraped, they can instead push their metrics to a Pushgateway.
 The Pushgateway then exposes these metrics to Prometheus.
 .
 The Pushgateway is explicitly not an aggregator, but rather a metrics cache.
 It does not have a statsd-like semantics. The metrics pushed are exactly the
 same as you would present for scraping in a permanently running program.
 .
 For machine-level metrics, the textfile collector of prometheus-node-exporter
 is usually more appropriate. The Pushgateway is best used for service-level
 metrics.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1

BUILDDIR := build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

BINNAME := $(DEB_SOURCE)
WHATIS := "$(BINNAME) \\- Prometheus gateway for push metrics"

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	cp -v $(BUILDDIR)/bin/pushgateway $(BUILDDIR)/bin/$(BINNAME)
	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1

override_dh_auto_install:
	dh_install build/bin/$(BINNAME) usr/bin/
	dh_installman build/$(BINNAME).1

## prometheus-pushgateway 0.7.0+ds

=== Makefile ===
--- 
+++ 
@@ -20,15 +20,6 @@
 
 DOCKER_IMAGE_NAME ?= pushgateway
 
-ifdef DEBUG
-	bindata_flags = -debug
-endif
-
 assets:
 	@echo ">> writing assets"
-	@$(GO) get -u github.com/jteeuwen/go-bindata/...
-	@go-bindata $(bindata_flags) -prefix=resources resources/...
-
-style:
-	@echo ">> checking code style"
-	! $(GOFMT) -d $$(find . -path ./vendor -prune -o -path ./bindata.go -prune -o -name '*.go' -print) | grep '^'
+	@cd $(PREFIX)/asset && $(GO) generate && $(GOFMT) -w assets_vfsdata.go

=== debian/changelog ===
prometheus-pushgateway (0.7.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Martín Ferrari <tincho@debian.org>  Mon, 24 Dec 2018 03:48:20 +0000

prometheus-pushgateway (0.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update patching for new embedded blobs library.
  * Refresh patches
  * Update client-golang dependency.
  * debian/control: Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Fri, 19 Oct 2018 15:46:23 +0000

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                dh-golang,
                golang-any,
                golang-github-julienschmidt-httprouter-dev,
-               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
+               golang-github-prometheus-client-golang-dev (>= 0.9.0-1~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6),
                golang-goprotobuf-dev (>= 0.0~git20150526),
                golang-protobuf-extensions-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pushgateway
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pushgateway.git
 Homepage: https://github.com/prometheus/pushgateway

## prometheus-pushgateway 1.0.0+ds

=== Makefile ===
--- 
+++ 
@@ -11,15 +11,13 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+# Needs to be defined before including Makefile.common to auto-generate targets
+DOCKER_ARCHS ?= amd64 armv7 arm64
+
 include Makefile.common
-
-STATICCHECK_IGNORE = \
-  github.com/prometheus/pushgateway/handler/delete.go:SA1019 \
-  github.com/prometheus/pushgateway/handler/push.go:SA1019 \
-  github.com/prometheus/pushgateway/main.go:SA1019
 
 DOCKER_IMAGE_NAME ?= pushgateway
 
 assets:
 	@echo ">> writing assets"
-	@cd $(PREFIX)/asset && $(GO) generate && $(GOFMT) -w assets_vfsdata.go
+	@cd $(PREFIX)/asset && GO111MODULE=$(GO111MODULE) $(GO) generate && $(GOFMT) -w assets_vfsdata.go

=== debian/changelog ===
prometheus-pushgateway (1.0.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies.
  * Update patches.
  * Automated cme fixes.
  * Set default persistence file path in code.
  * debian/default: Update CLI documentation.
  * Update initscript.
  * Increase compat level to 12; add needed Pre-Depends for sysvinit
  * Update my name.

 -- Martina Ferrari <tincho@debian.org>  Thu, 07 Nov 2019 10:57:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: prometheus-pushgateway
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
+Uploaders: Martina Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
+               golang-github-cespare-xxhash-dev,
                golang-github-julienschmidt-httprouter-dev,
-               golang-github-prometheus-client-golang-dev (>= 0.9.0-1~),
+               golang-github-prometheus-client-golang-dev (>= 1.2.0~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6),
                golang-goprotobuf-dev (>= 0.0~git20150526),
                golang-protobuf-extensions-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pushgateway
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pushgateway.git
 Homepage: https://github.com/prometheus/pushgateway
@@ -22,9 +23,11 @@
 
 Package: prometheus-pushgateway
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
 Depends: daemon,
-         libjs-bootstrap,
-         libjs-jquery,
+         fonts-glyphicons-halflings,
+         libjs-bootstrap4,
+         libjs-jquery (>= 3),
          ${misc:Depends},
          ${shlibs:Depends},
 Built-Using: ${misc:Built-Using},

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DH_VERBOSE=1
+
+# Avoid embedded blobs.
+export DH_GOLANG_EXCLUDES := asset
 
 BUILDDIR := build
 METAPKG := github.com/prometheus/common

## prometheus-pushgateway 1.4.0+ds

=== debian/changelog ===
prometheus-pushgateway (1.4.0+ds-1) unstable; urgency=medium

  * Team upload.

  [ Filippo Giunchedi ]
  * New upstream release.
  ** TLS and basic authentication to HTTP endpoints.
  * Update patches.
  * Update dependencies.

  [ Lucas Kanashiro ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with Debian Policy 4.5.1
  * d/control: rules does not require root

  [ Guillem Jover ]
  * Update gitlab-ci.yml from latest upstream version
  * Add Repository field to debian/upstream/metadata
  * Update Maintainer and version.BuildUser with new team address
  * Move note about license location on Debian systems into a Comment field
  * Do not enable DH_VERBOSE by default
  * Use $(BUILDDIR) uniformly instead of the literal build/
  * Switch to debian/watch format version 4
  * Indent debian/watch file
  * Change systemd service Restart directive from always to on-failure
  * Add man:prometheus-pushgateway(1) to systemd service Documentation field
  * Remove $syslog dependency from init script
  * Use '' instead of `' in text
  * Use $() instead of `` in init script
  * Remove unnecessary error suppression from init script
  * Remove error suppression from postinst
  * Run adduser unconditionally
  * Switch from /var/run to /run
  * Add missing Depends on adduser in prometheus-pushgateway
  * Rewrite init script using start-stop-daemon
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Unify log files removal into a single entry
  * Update copyright claims
  * Update gitlab-ci.yml from latest upstream version
  * Add Repository field to debian/upstream/metadata
  * Update Maintainer and version.BuildUser with new team address
  * Move note about license location on Debian systems into a Comment field
  * Do not enable DH_VERBOSE by default
  * Use $(BUILDDIR) uniformly instead of the literal build/
  * Switch to debian/watch format version 4
  * Indent debian/watch file
  * Change systemd service Restart directive from always to on-failure
  * Add man:prometheus-pushgateway(1) to systemd service Documentation field
  * Remove $syslog dependency from init script
  * Use '' instead of `' in text
  * Use $() instead of `` in init script
  * Remove unnecessary error suppression from init script
  * Remove error suppression from postinst
  * Run adduser unconditionally
  * Switch from /var/run to /run
  * Add missing Depends on adduser in prometheus-pushgateway
  * Rewrite init script using start-stop-daemon
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Unify log files removal into a single entry
  * Update copyright claims
  * Update gitignore entries

 -- Guillem Jover <gjover@sipwise.com>  Sat, 30 Jan 2021 00:36:21 +0100

prometheus-pushgateway (1.3.0+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Filippo Giunchedi ]
  * New upstream version
  ** Refresh patches
  ** Update CLI arguments
  * Depend on daemon | systemd-sys (Closes: #943770)

 -- Filippo Giunchedi <filippo@debian.org>  Sat, 21 Nov 2020 15:26:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: prometheus-pushgateway
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-cespare-xxhash-dev,
@@ -12,19 +12,21 @@
                golang-github-prometheus-client-golang-dev (>= 1.2.0~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
+               golang-github-prometheus-exporter-toolkit-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6),
                golang-goprotobuf-dev (>= 0.0~git20150526),
                golang-protobuf-extensions-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pushgateway
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pushgateway.git
 Homepage: https://github.com/prometheus/pushgateway
 XS-Go-Import-Path: github.com/prometheus/pushgateway
+Rules-Requires-Root: no
 
 Package: prometheus-pushgateway
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
-Depends: daemon,
+Depends: adduser,
          fonts-glyphicons-halflings,
          libjs-bootstrap4,
          libjs-jquery (>= 3),

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
 
-export DH_VERBOSE=1
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 # Avoid embedded blobs.
 export DH_GOLANG_EXCLUDES := asset
@@ -10,7 +11,7 @@
 METAPKG := github.com/prometheus/common
 
 BRANCH     := debian/sid
-USER       := pkg-go-maintainers@lists.alioth.debian.org
+USER       := team+pkg-go@tracker.debian.org
 BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
     +%Y%m%d-%H:%M:%S)
 GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
@@ -32,12 +33,12 @@
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
 	cp -v $(BUILDDIR)/bin/pushgateway $(BUILDDIR)/bin/$(BINNAME)
-	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
+	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
 	# Remove build user/build date/go version headers, which is ugly.
-	sed -i -e '/^  /d' build/$(BINNAME).1
+	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1
 	# Fix whatis entry.
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) $(BUILDDIR)/$(BINNAME).1
 
 override_dh_auto_install:
-	dh_install build/bin/$(BINNAME) usr/bin/
-	dh_installman build/$(BINNAME).1
+	dh_install $(BUILDDIR)/bin/$(BINNAME) usr/bin/
+	dh_installman $(BUILDDIR)/$(BINNAME).1

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-pushgateway-$1.tar.gz/,\
      dversionmangle=s/\+ds\d*$//" \
  https://github.com/prometheus/pushgateway/tags \
  (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## prometheus-pushgateway 1.4.2%2Bds1

=== debian/changelog ===
prometheus-pushgateway (1.4.2+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update gitlab-ci.yml from its new refactored template.
  * Update gbp.conf following latest Go Team workflow.
  * Update debian/watch file.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Do not install development documents.
  * Add Repository-Browse upstream metadata field.
  * Update Files-Excluded field for new upstream release.
  * Refresh patches for new upstream release.
  * Update dependencies for new upstream release.
  * Update default file for new upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 01 Dec 2021 00:18:36 +0100

## prometheus-pushgateway 1.4.2+ds1

=== debian/changelog ===
prometheus-pushgateway (1.4.2+ds1-1ubuntu0.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 23:07:17 +0000

prometheus-pushgateway (1.4.2+ds1-1ubuntu0.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 May 2023 18:46:36 +0530

prometheus-pushgateway (1.4.2+ds1-1ubuntu0.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 03 Feb 2023 14:50:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: prometheus-pushgateway
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
-               golang-github-cespare-xxhash-dev,
-               golang-github-julienschmidt-httprouter-dev,
+               golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev (>= 1.2.0~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
@@ -16,7 +16,7 @@
                golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6),
                golang-goprotobuf-dev (>= 0.0~git20150526),
                golang-protobuf-extensions-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pushgateway
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pushgateway.git
 Homepage: https://github.com/prometheus/pushgateway

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 BINNAME := $(DEB_SOURCE)
 WHATIS := "$(BINNAME) \\- Prometheus gateway for push metrics"

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/prometheus/pushgateway/tags \
  (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## prometheus-pushgateway 1.5.1

=== debian/changelog ===
prometheus-pushgateway (1.5.1-2) unstable; urgency=medium

  * Team upload
  * Fix jquery and bootstrap4 css paths in 02-Do_not_embed_blobs.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Dec 2022 22:41:04 +0000

prometheus-pushgateway (1.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (fixes CVE-2022-46146)
  * Drop +ds version suffix, since we no longer need to unvendor

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 07 Dec 2022 03:28:47 +0000

prometheus-pushgateway (1.5.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches for new upstream release.
  * Update copyright years.
  * Remove --help output from default file.
  * Switch to Standards-Version 4.6.1 (no changes needed).
  * Place Source before Upstream-Name in debian/copyright.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 25 Nov 2022 14:19:17 +0100

prometheus-pushgateway (1.4.2+ds1-2) unstable; urgency=medium

  * Team upload.

  [ Guillem Jover ]
  * Move instead of copy when renaming the daemon in debian/rules.
  * Fix typo in default file.
    Spotted by Daniel Swarbrick <dswarbrick@debian.org>.

  [ Martina Ferrari ]
  * Update my name and email address.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 15 Mar 2022 23:54:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: prometheus-pushgateway
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Martina Ferrari <tincho@debian.org>,
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Martina Ferrari <tina@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -12,11 +11,11 @@
                golang-github-prometheus-client-golang-dev (>= 1.2.0~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
                golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6),
                golang-goprotobuf-dev (>= 0.0~git20150526),
                golang-protobuf-extensions-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pushgateway
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pushgateway.git
 Homepage: https://github.com/prometheus/pushgateway

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
-	cp -v $(BUILDDIR)/bin/pushgateway $(BUILDDIR)/bin/$(BINNAME)
+	mv -v $(BUILDDIR)/bin/pushgateway $(BUILDDIR)/bin/$(BINNAME)
 	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
 	# Remove build user/build date/go version headers, which is ugly.
 	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1

## prometheus-pushgateway 1.6.0

=== debian/changelog ===
prometheus-pushgateway (1.6.0-1ubuntu0.1) mantic-security; urgency=medium

  * No-change rebuild due to golang-1.20, golang1-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 29 Jan 2024 11:22:46 +0530

prometheus-pushgateway (1.6.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:49 +1200

prometheus-pushgateway (1.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add new build-dep golang-github-golang-snappy-dev
  * Refresh patches
  * Add new 04-Revert_kingpin_import_path.patch
  * Bump Standards-Version to 4.6.2 (no changes)
  * Drop redundant Build-Depends version constraints
  * Add golang-github-prometheus-client-model-dev version constraint
  * Modernize protobuf Build-Depends

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Jun 2023 11:25:30 +0000

## prometheus-pushgateway 1.7.0

=== debian/changelog ===
prometheus-pushgateway (1.7.0-2ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 01 Jul 2025 14:01:38 +1000

prometheus-pushgateway (1.7.0-2) unstable; urgency=medium

  * Team upload
  * Add new 0003-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Mar 2024 04:21:21 +0000

prometheus-pushgateway (1.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patches and convert to gbp-pq format
  * Modernize debian/rules to produce more visually appealing man pages

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 04 Feb 2024 23:08:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-pushgateway
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -8,14 +9,16 @@
                dh-sequence-golang,
                golang-any,
                golang-github-go-kit-log-dev,
-               golang-github-prometheus-client-golang-dev (>= 1.2.0~),
-               golang-github-prometheus-client-model-dev,
+               golang-github-golang-protobuf-1-5-dev,
+               golang-github-golang-snappy-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
+               golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
-               golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6),
-               golang-goprotobuf-dev (>= 0.0~git20150526),
+               golang-github-prometheus-exporter-toolkit-dev,
+               golang-google-protobuf-dev,
+               golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pushgateway
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pushgateway.git
 Homepage: https://github.com/prometheus/pushgateway

## prometheus-pushgateway 1.10.0

=== debian/changelog ===
prometheus-pushgateway (1.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop obsolete 0005-Support-prometheus-common-v0.50.0.patch
  * Refresh patches
  * Add new Build-Depends golang-github-prometheus-prometheus-dev
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 05 Oct 2024 15:16:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-pushgateway
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -15,10 +14,11 @@
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-prometheus-dev,
                golang-google-protobuf-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pushgateway
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pushgateway.git
 Homepage: https://github.com/prometheus/pushgateway

## prometheus-pushgateway 1.11.0

=== debian/changelog ===
prometheus-pushgateway (1.11.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patches
  * Drop no longer used Build-Depends
    - golang-github-go-kit-log-dev
    - golang-protobuf-extensions-dev
  * Bump golang-any Build-Depends version constraint to (>= 2:1.21~) due to
    use of log/slog package
  * Add golang-github-prometheus-exporter-toolkit-dev version constraint
    (>= 0.13.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 13 Jan 2025 10:47:13 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,16 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
-               golang-github-go-kit-log-dev,
+               golang-any (>= 2:1.21~),
                golang-github-golang-protobuf-1-5-dev,
                golang-github-golang-snappy-dev,
                golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
                golang-github-prometheus-prometheus-dev,
                golang-google-protobuf-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-protobuf-extensions-dev,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pushgateway
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pushgateway.git
